`string != NULL' warning when setting a solid color as background

Bug #954590 reported by Hernando Torque on 2012-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-settings-daemon (Ubuntu)
Low
Unassigned

Bug Description

When setting a background from 'Colors & Gradients' in the 'Appearance' pane of g-c-c, I see the following output in ~/.xsession-errors:

GLib-CRITICAL **: g_variant_new_string: assertion `string != NULL' failed

** WARNING **: Failed to set the background '(null)': GDBus.Error:org.freedesktop.Accounts.Error.Failed: file '[Invalid UTF-8]' is not a regular file

Backtrace attached.

--- Update ---

When I manually set the 'picture-uri' key in 'org.gnome.desktop.background' I can observe the following:

* If I set it to a path to an existing regular file, prefixed with 'file://', I see no warnings.
* If I set it to a path to a non-existing regular file, prefixed with 'file://', I get a 'file ... is not a regular file' warning.
* If I set it to something not prefixed with 'file://', I see the above two warnings.

The last case happens every time I set a solid background color in 'Appearance', which sets the 'picture-uri' key to an empty string ("").

---

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: gnome-settings-daemon 3.3.91-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Wed Mar 14 00:46:35 2012
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
SourcePackage: gnome-settings-daemon
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.xdg.autostart.gnome.fallback.mount.helper.desktop: [modified]
modified.conffile..etc.xdg.autostart.gnome.settings.daemon.desktop: [modified]
mtime.conffile..etc.xdg.autostart.gnome.fallback.mount.helper.desktop: 2012-03-09T20:30:39.405402
mtime.conffile..etc.xdg.autostart.gnome.settings.daemon.desktop: 2012-03-09T20:30:39.405402

Hernando Torque (htorque) wrote :
description: updated
description: updated
Hernando Torque (htorque) wrote :

The problem seems to come from 20_migrate_background_uri.patch, which adds an URI check of the value of 'picture-uri'.

Hernando Torque (htorque) wrote :

Let's pretend I didn't posted above comment. Thanks! :-)

summary: - GLib-CRITICAL warning when setting a solid color as background
+ `string != NULL' warning when setting a solid color as background
Changed in gnome-settings-daemon (Ubuntu):
status: New → In Progress
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.3.91-0ubuntu5

---------------
gnome-settings-daemon (3.3.91-0ubuntu5) precise; urgency=low

  * debian/patches/52_sync_background_to_accountsservice.patch:
    - don't trigger a warning when using a solid color (lp: #954590)
  * debian/patches/90_set_gmenus_xsettings.patch:
    - update from Ryan Lortie to handle correctly new shell sessions

  [ Gunnar Hjalmarsson ]
  * debian/patches/43_disable_locale_settings.patch:
    Description updated.
 -- Sebastien Bacher <email address hidden> Thu, 15 Mar 2012 19:15:43 +0100

Changed in gnome-settings-daemon (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers